#include "screen.h"
#include <gdi.h>

#include "app_context.h"

screen::screen()
{

}

screen::~screen()
{

}

void screen::ConstructL(RWsSession* wsSession)
{

	if (CEikonEnv::Static()) {
		screenDevice = CEikonEnv::Static()->ScreenDevice();
	} else {
		screenDevice =new(ELeave) CWsScreenDevice(*wsSession);
		User::LeaveIfError(screenDevice->Construct());
	}
	
	black=0;
	gray=221;
}

bool screen::dialog_on_screen()
{

	TSize size=screenDevice->SizeInPixels();

	TBuf8<200> scan1;
	TBuf8<200> scan2;

	TInt w=size.iWidth;
	if (w>200) w=200;

	screenDevice->GetScanLine(scan1, TPoint(0, size.iHeight-27), w, EColor256);
	screenDevice->GetScanLine(scan2, TPoint(0, size.iHeight-26), w, EColor256);

	bool dialog=true;
	for (int i=10; i<w-10; i++) {
		if (scan1[i]!=black) {
			dialog=false;
			break;
		}
		if (scan2[i]!=gray) {
			dialog=false;
			break;
		}
	}
	
	return dialog;
}
