#include "pointer.h"

EXPORT_C void memset(void* dest, int value, int len)
{
	Mem::Fill(dest, len, value);
}

EXPORT_C void* memmove(void* dest, const void* src, int len)
{
	// Doesn't work if memory is not allocated
	// on a word boundary :-(
	//return Mem::Move(dest, src, len);
	char *d=(char*)dest;
	char *s=(char*)src;
	for (int i=0; i<len; i++) {
		*d++=*s++;
	}
	return dest;
}


