//PresenceInfo.h
#ifndef __CPRESENCEINFO__
#define __CPRESENCEINFO__

#include <e32base.h>
#include <badesca.h>


enum
{
	KMaxLengthPresenceInfo = 50,
	KMaxContacts = 50
};

typedef struct 
{
	TInt  newInfo;
	TPtrC contact;
	TPtrC info;
	TTime send_timestamp;
}
TPresenceInfo;

class CPresenceInfo : public CBase
{

public: 
	
	static CPresenceInfo * NewL();
	static CPresenceInfo * NewLC();
	~CPresenceInfo();
	void ConstructL();

	TPtrC GetPresenceInfoAsDes();
	void Update(const TDesC & contact, const TDesC& presence, const TTime & timestamp);
	TPresenceInfo GetNewPresenceInfo();
	void SetAllAsNew();
	void SetAsNew(const TDesC & contact);
private:

	RArray<TInt> * iFlags;
	RArray<TTime> * iSend_timestamps;
	CDesCArray * iAllContactsArray;
	CDesCArray * iAllContactsPresenceInfoArray;

};



	



#endif
