/*
* ============================================================================
*  Name     : CContext_logApp from Context_logApp.h
*  Part of  : context_log
*  Created  : 13.2.2003 by 
*  Description:
*     Declares main application class.
*  Version  :
*  Copyright: 
* ============================================================================
*/

#ifndef CONTEXT_LOGAPP_H
#define CONTEXT_LOGAPP_H

// INCLUDES
#include <aknapp.h>

// CONSTANTS
// UID of the application
const TUid KUidcontext_log = { 0x05CCC0AF };

// CLASS DECLARATION

/**
* CContext_logApp application class.
* Provides factory to create concrete document object.
* 
*/
class CContext_logApp : public CAknApplication
    {
    
    public: // Functions from base classes
    private:

        /**
        * From CApaApplication, creates CContext_logDocument document object.
        * @return A pointer to the created document object.
        */
        CApaDocument* CreateDocumentL();
        
        /**
        * From CApaApplication, returns application's UID (KUidcontext_log).
        * @return The value of KUidcontext_log.
        */
        TUid AppDllUid() const;
    };

#endif

// End of File

