/*
* ============================================================================
*  Name     : CContext_logDocument from Context_logDocument.h
*  Part of  : context_log
*  Created  : 13.2.2003 by 
*  Description:
*     Declares document for application.
*  Version  :
*  Copyright: 
* ============================================================================
*/

#ifndef CONTEXT_LOGDOCUMENT_H
#define CONTEXT_LOGDOCUMENT_H

// INCLUDES
#include <akndoc.h>
#include "app_context.h"
   
// CONSTANTS

// FORWARD DECLARATIONS
class  CEikAppUi;

// CLASS DECLARATION

/**
*  CContext_logDocument application class.
*/
class CContext_logDocument : public CAknDocument
    {
    public: // Constructors and destructor
        /**
        * Two-phased constructor.
        */
        static CContext_logDocument* NewL(CEikApplication& aApp);

        /**
        * Destructor.
        */
        virtual ~CContext_logDocument();

    public: // New functions

    protected:  // New functions

    protected:  // Functions from base classes

    private:

        /**
        * EPOC default constructor.
        */
        CContext_logDocument(CEikApplication& aApp);
        void ConstructL();

    private:

        /**
        * From CEikDocument, create CContext_logAppUi "App UI" object.
        */
        CEikAppUi* CreateAppUiL();
	CApp_context* iContext;
    };

#endif

// End of File

