#if !defined(CALL_RECORDER_H_INCLUDED)

#define CALL_RECORDER_H_INCLUDED 1

#include "call_listener.h"
#include "mda_recorder.h"

class CCall_record : public Ccall_listener, public Mrecorder_callback {
public:
	virtual ~CCall_record();

	static CCall_record* NewL(MApp_context& Context, i_status_notif* i_cb, TDirection dir);
	void test();
private:
	CCall_record(MApp_context& Context);
	void ConstructL(i_status_notif* i_cb, TDirection dir);
	virtual void handle_answered();
	virtual void stopped(bool reset=false);
	virtual void error(const TDesC& descr);
	virtual void opened();

	bool can_record;
	CMda_recorder* recorder;
};

#endif
