#ifndef CL_CELLMAP_H_INCLUDED
#define CL_CELLMAP_H_INCLUDED 1

#include "app_context.h"
#include "db.h"
#include "file_output_base.h"

class CCellMap : public MDBStore, public MContextBase, public CBase {
public:
	static CCellMap* NewL(MApp_context& Context, RDbStoreDatabase& Db);
	TInt GetId(const TDesC& Cell);
	void SetId(const TDesC& Cell, TInt Id);
	~CCellMap();
	static void Parse(const TDesC& Cell, TUint& cell, TUint& area, TDes& nw);
	void PrintMapping(Mfile_output_base& To);
private:
	CCellMap(MApp_context& Context, RDbStoreDatabase& Db);
	void ConstructL();


	TInt	iNextId;
};

#endif
