#ifndef CL_LOG_APPUSE_H_INCLUDED
#define CL_LOG_APPUSE_H_INCLUDED 1

#include "i_log_source.h"
#include "log_base_impl.h"
#include "app_context.h"
#include <e32std.h>

class CLog_AppUse : public CCheckedActive, public Mlog_base_impl{
public:
	~CLog_AppUse();

	const TDesC& get_value();

	void CheckedRunL();

	static CLog_AppUse* NewL(MApp_context& Context);
	void DoCancel();
	virtual TInt CheckedRunError(TInt aError);

private:
	CLog_AppUse(MApp_context& Context);
	void ConstructL();
	void Wait();

	enum EState { EUnknown, EIdle, EActive };
	EState	iCurrentState;

	RTimer	iTimer;
	HBufC*  iValue;  TUid iUid; 
	int	iTimeOut;	
};

#endif //CL_LOG_APPUSE_H_INCLUDED
