#ifndef CL_LOG_LOCAL_H_INCLUDED
#define CL_LOG_LOCAL_H_INCLUDED 1

#include <e32base.h>
#include "log_base_impl.h"
#include "timeout.h"

class CLog_local : public CCheckedActive, public Mlog_base_impl, public MTimeOut {
public:
	static CLog_local* NewL(MApp_context& Context, const TDesC& name);
	~CLog_local();

	TRequestStatus* RequestStatus();
private:
	CLog_local(MApp_context& Context);
	void ConstructL(const TDesC& name);

	virtual void DoCancel();
	virtual void CheckedRunL(); 
	virtual TInt CheckedRunError(TInt aError);

	virtual void expired();

	CTimeOut	*iTimer;
};

#endif
