#ifndef CL_LOG_SMS_H_INCLUDED
#define CL_LOG_SMS_H_INCLUDED 1

#include <e32base.h>
#include "log_base_impl.h"
#include "sms.h"
#include "call_listener.h"

class CLog_sms : /*public CActive, */public Mlog_base_impl , public i_handle_received_sms
{
public:
	static CLog_sms* NewL(MApp_context& Context, const TDesC& name);
	~CLog_sms();

public:
	//from i_handle_received_sms
	virtual bool handle_reception(const TMsvId& entry_id, const TMsvId& folder_id, const TDesC& sender, const TDesC& body); // return true if message is to be deleted
	virtual void handle_change(const TMsvId& msg_id, const TDesC& sender);
	virtual void handle_delete(const TMsvId& msg_id, const TMsvId& parent_folder, const TDesC& sender);
	virtual void handle_move(const TMsvId& msg_id, const TMsvId& from_folder, const TMsvId& to_folder, const TDesC& sender);
	virtual void handle_error(const TDesC& descr);
	virtual void handle_sending(const TMsvId& entry_id, const TDesC& sender, const TDesC& body);
	virtual void handle_read (const TMsvId& msg_id, const TDesC& sender);
	
private:
	CLog_sms (MApp_context& Context);
	TBuf<10> MapEntry(const TMsvId& entry_id);
	void ConstructL(const TDesC& name);
	TBool IsFromToBuddy(const TDesC& sender);

private:
	CSpecialGroups*	iSpecialGroups;	
};

#endif
