/*
* ============================================================================
*  Name     : CContextbookApp from ContextbookApp.h
*  Part of  : contextbook
*  Created  : 14.7.2003 by 
*  Description:
*     Declares main application class.
*  Version  :
*  Copyright: 
* ============================================================================
*/

#ifndef CONTEXTBOOKAPP_H
#define CONTEXTBOOKAPP_H

// INCLUDES
#include <aknapp.h>

// CONSTANTS
// UID of the application
const TUid KUidcontextbook = { 0x101FBAD0 };

// CLASS DECLARATION

/**
* CContextbookApp application class.
* Provides factory to create concrete document object.
* 
*/
class CContextbookApp : public CAknApplication
    {
    
    public: // Functions from base classes
    private:

        /**
        * From CApaApplication, creates CContextbookDocument document object.
        * @return A pointer to the created document object.
        */
        CApaDocument* CreateDocumentL();
        
        /**
        * From CApaApplication, returns application's UID (KUidcontextbook).
        * @return The value of KUidcontextbook.
        */
        TUid AppDllUid() const;
    };

#endif

// End of File

