/*
* ============================================================================
*  Name     : CContextbookContainer2 from ContextbookContainer2.h
*  Part of  : contextbook
*  Created  : 14.7.2003 by 
*  Description:
*     Declares container control for application.
*  Version  :
*  Copyright: 
* ============================================================================
*/

#ifndef CONTEXTBOOKCONTAINER2_H
#define CONTEXTBOOKCONTAINER2_H

// INCLUDES
#include <coecntrl.h>
#include "ContextbookContainer.h"
#include "call_log.h"

// FORWARD DECLARATIONS
class CEikLabel;        // for example labels

// CLASS DECLARATION

/**
*  CContextbookContainer2  container control class.
*  
*/
class CContextbookContainer2 : public CContextbookContainer
{
private:
	virtual bool is_searchable() const;
	virtual phonebook_i* create_book();
};

#endif

// End of File
